# boost::numeric::ublas::matrix_row< M >::const_iterator Class Reference

List of all members.

## Public Types

typedef const_subiterator_type::value_type | value_type
typedef const_subiterator_type::difference_type | difference_type
typedef const_subiterator_type::reference | reference
typedef const_subiterator_type::pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const self_type &mr, const const_subiterator_type &it)
BOOST_UBLAS_INLINE | const_iterator (const typename self_type::iterator &it)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class M>
class boost::numeric::ublas::matrix_row< M >::const_iterator